Get
curl --request GET \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"event": {
"id": "<string>",
"workspaceId": "<string>",
"operationId": "<string>",
"eventType": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"origin": "<string>",
"initiatorKind": "<string>",
"initiatorUserId": "<string>",
"credentialId": "<string>",
"executorKind": "<string>",
"executorId": "<string>",
"runId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"provider": "<string>",
"accountId": "<string>",
"explanation": {
"status": "available",
"sourceStatus": "available",
"sources": [
{
"kind": "chat",
"label": "<string>",
"url": "<string>"
}
],
"reason": {
"text": "<string>",
"suppliedBy": "user"
}
},
"changes": [
{
"field": "<string>",
"before": "<string>",
"beforeKnown": true,
"after": "<string>",
"restricted": true
}
],
"initiatorName": "<string>",
"agentId": "<string>",
"slackUserId": "<string>",
"impersonatorUserId": "<string>",
"systemActorId": "<string>",
"currency": "<string>",
"units": "provider_minor_units",
"interpretation": {
"kind": "campaign_change",
"version": "<string>",
"exchangeIds": [
"<string>"
],
"limitations": [
"missing_body"
],
"timing": "exchange"
}
},
"coverage": {
"label": "<string>",
"description": "<string>"
}
}Audit
Get
Read a campaign change or explicitly uncertain platform activity
CLI: adside audit get
GET
/
v1
/
workspaces
/
{workspaceId}
/
audit-events
/
{eventId}
Get
curl --request GET \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/audit-events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"event": {
"id": "<string>",
"workspaceId": "<string>",
"operationId": "<string>",
"eventType": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"origin": "<string>",
"initiatorKind": "<string>",
"initiatorUserId": "<string>",
"credentialId": "<string>",
"executorKind": "<string>",
"executorId": "<string>",
"runId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"provider": "<string>",
"accountId": "<string>",
"explanation": {
"status": "available",
"sourceStatus": "available",
"sources": [
{
"kind": "chat",
"label": "<string>",
"url": "<string>"
}
],
"reason": {
"text": "<string>",
"suppliedBy": "user"
}
},
"changes": [
{
"field": "<string>",
"before": "<string>",
"beforeKnown": true,
"after": "<string>",
"restricted": true
}
],
"initiatorName": "<string>",
"agentId": "<string>",
"slackUserId": "<string>",
"impersonatorUserId": "<string>",
"systemActorId": "<string>",
"currency": "<string>",
"units": "provider_minor_units",
"interpretation": {
"kind": "campaign_change",
"version": "<string>",
"exchangeIds": [
"<string>"
],
"limitations": [
"missing_body"
],
"timing": "exchange"
}
},
"coverage": {
"label": "<string>",
"description": "<string>"
}
}Authorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
Minimum string length:
1Required string length:
1 - 200